# SPDX-License-Identifier: MIT
%global source_version 1.200
%global source_release 9

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt documentation/*.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Alkalami
%global fonts_summary            A font family for the Arabic scripts of the Kano region of Nigeria and Niger
%global project_name             %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), " SIL$", ""); t=string.gsub(t, "[%p%s]+", ""); print(string.lower(t))}
%global archive_name             %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}
%global source_url               https://software.sil.org/%{project_name}/
%global fonts_fonts              *.ttf
%global fonts_experimental_confs %{SOURCE1}
%global fonts_description        %{expand:
Alkalami is a font family for Arabic-based writing systems in the Kano region
of Nigeria and in Niger. This style of writing African Ajami has sometimes been
called Sudani Kufi or Rubutun Kano.

Alkǎlami (pronounced al-KA-la-mi) is the local word for the Arabic “qalam”, a
type of sharpened stick used for writing on wooden boards in the Kano region of
Nigeria and in Niger, and what gives the style its distinct appearance. The
baseline stroke is very thick and solid. The ascenders and other vertical
strokes including the teeth are very narrow when compared to the baseline. A
generous line height is necessary to allow for deep swashes and descenders, and
the overall look of the page is a very black, solid rectangle. Diacritics are
much smaller in scale, with very little distance from the main letters.

The Alkalami font supports the characters known to be used by languages written
with the Kano style of Arabic script, but may not have the characters needed
for other languages.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     documentation/*.pdf

%auto_init
%auto_pkg

%sourcelist
https://github.com/silnrsi/font-%{project_name}/releases/download/v%{version}/%{archive_name}.tar.xz
66-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt documentation/*.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.200-6
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.200-4
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.200-3
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.200-1
✅ Initial packaging
